osl::checkmate::FixedDepthSolverExt::SetProofPieces Struct Reference

## Static Public Member Functions

static void | setAttackLeaf (Move best_move, PieceStand &proof_pieces)
static void | attack (Move best_move, PieceStand stand, PieceStand &proof_pieces)
static void | setLeaf (const NumEffectState &state, Player P, PieceStand stand, PieceStand &proof_pieces)
static void | clear (PieceStand &proof_pieces)
static void | updateMax (PieceStand child, PieceStand &proof_pieces)
static void | addMonopolizedPieces (const NumEffectState &state, Player P, PieceStand stand, PieceStand &proof_pieces)
static ProofDisproof | attackEstimation (const NumEffectState &state, Player P, King8Info info)

## Detailed Description

Definition at line 6 of file fixedDepthSolverExt.cc.

## Member Function Documentation

## addMonopolizedPieces()

void osl::checkmate::FixedDepthSolverExt::SetProofPieces::addMonopolizedPieces | ( | const NumEffectState & | state,
|  | Player | P,
|  | PieceStand | stand,
|  | PieceStand & | proof_pieces )

inline static

Definition at line 25 of file fixedDepthSolverExt.cc.

References osl::checkmate::ProofPiecesUtil::addMonopolizedPieces(), osl::checkmate::FixedDepthSearcher::stand(), and osl::checkmate::FixedDepthSearcher::state.

## attack()

void osl::checkmate::FixedDepthSolverExt::SetProofPieces::attack | ( | Move | best_move,
|  | PieceStand | stand,
|  | PieceStand & | proof_pieces )

inline static

Definition at line 13 of file fixedDepthSolverExt.cc.

References osl::checkmate::ProofPieces::attack(), and osl::checkmate::FixedDepthSearcher::stand().

## attackEstimation()

ProofDisproof osl::checkmate::FixedDepthSolverExt::SetProofPieces::attackEstimation | ( | const NumEffectState & | state,
|  | Player | P,
|  | King8Info | info )

inline static

Definition at line 29 of file fixedDepthSolverExt.cc.

References osl::alt(), osl::checkmate::Edge_Table, osl::checkmate::Proof_Number_Table, and osl::checkmate::FixedDepthSearcher::state.

## clear()

void osl::checkmate::FixedDepthSolverExt::SetProofPieces::clear | ( | PieceStand & | proof_pieces | ) |

inline static

Definition at line 19 of file fixedDepthSolverExt.cc.

## setAttackLeaf()

void osl::checkmate::FixedDepthSolverExt::SetProofPieces::setAttackLeaf | ( | Move | best_move,
|  | PieceStand & | proof_pieces )

inline static

Definition at line 8 of file fixedDepthSolverExt.cc.

References osl::PieceStand::add(), osl::Move::isDrop(), and osl::Move::ptype().

## setLeaf()

void osl::checkmate::FixedDepthSolverExt::SetProofPieces::setLeaf | ( | const NumEffectState & | state,
|  | Player | P,
|  | PieceStand | stand,
|  | PieceStand & | proof_pieces )

inline static

Definition at line 16 of file fixedDepthSolverExt.cc.

References osl::checkmate::ProofPieces::leaf(), osl::checkmate::FixedDepthSearcher::stand(), and osl::checkmate::FixedDepthSearcher::state.

## updateMax()

void osl::checkmate::FixedDepthSolverExt::SetProofPieces::updateMax | ( | PieceStand | child,
|  | PieceStand & | proof_pieces )

inline static

Definition at line 22 of file fixedDepthSolverExt.cc.

References osl::PieceStand::max().

The documentation for this struct was generated from the following file:

- fixedDepthSolverExt.cc